using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int i;
            string s = Console.ReadLine();
            string[] ssize = s.Split(null);
            double[] niz1 = new double[6];
            
            string[] niz = new string[6];

            niz[0] = ssize[0] + ssize[1] + ssize[2];
            niz[1] = ssize[0] + ssize[2] + ssize[1];
            niz[2] = ssize[1] + ssize[0] + ssize[2];
            niz[3] = ssize[1] + ssize[2] + ssize[0]; 
            niz[4] = ssize[2] + ssize[1] + ssize[0];
            niz[5] = ssize[2] + ssize[0] + ssize[1];
            for (i = 0; i < 6; i++)
            {
                niz1[i] = double.Parse(niz[i]);
            }
            Array.Sort(niz1);

            Console.WriteLine(niz1[5]);

            Console.ReadKey();
        }
    }
}